require_relative "lib/activerecord-postgresql-auto-reconnect/version"

Gem::Specification.new do |spec|
  spec.name          = "activerecord-postgresql-auto-reconnect"
  spec.version       = ActiverecordPostgresqlAutoReconnect::VERSION
  spec.authors       = ["Tung Vu"]
  spec.email         = ["vutungtn95@gmail.com"]

  spec.summary       = "Auto recover when database restart within remitano system"
  spec.description   = "Auto recover when database restart within remitano system"
  spec.homepage      = ""
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activerecord"
  spec.add_dependency "pg"

  spec.add_development_dependency "bundler", "~> 2.1.4"
  spec.add_development_dependency("dotenv", ["~> 2.0.0"])
  spec.add_development_dependency("httplog")
  spec.add_development_dependency("pry")
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency("rspec", [">= 0"])
  spec.add_development_dependency("rspec_junit_formatter")
  spec.add_development_dependency("thor")
end
